%
%   integrate_th_Butterworth.m  ver 1.1  March 18, 2013
%
function[v,figure_number]=integrate_th_Butterworth(nba,ist,t,v,figure_number)   
%
n=length(v);
dt=(t(n)-t(1))/(n-1);
%
v=detrend(v);
%
[v]=Butterworth_filter_function(v,dt);
%
figure(figure_number);
figure_number=figure_number+1;
%        
plot(t,v);     
%       
if(nba==1)
    if(ist==1)
        title(' Acceleration Mean Filtered Signal prior to Integration');
    else
        title(' Velocity Mean Filtered Signal prior to Integration');                
    end
else
    if(ist==1)
        title(' Velocity Mean Filtered Signal after Integration');
    else
        title(' Displacement Mean Filtered Signal after Integration');                
    end 
end 
%
grid on;
xlabel('Time (sec)');